### Signal

# Soup Message::restarted

since: 3.0

#### Declaration

    void
    restarted (
      SoupMessage* self,
      gpointer user_data
    )

#### Description [src]

Emitted when a request that was already sent once is now being sent again.

e.g. because the first attempt received a redirection response, or because we needed to use authentication.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 3.0